directories
  '*.ico' = '..\Ico\Indicator';
end_directories;

settings
  operation_mode = real_time;
  show_timing_info = true;
  time_error_limit = 3;
  paint_time_limit = 3;
  input_timeout = 3;
  output_timeout = 3;
  startup_options
    call_procedures = false;
    activate_receivers = true;
    output_action = set_local;
  end_startup_options;
  independent_procedure_execution = true;
end_settings;

driver
  udaq : 'cw_udaq1408.dll', 'Cw_udaq1408.dmf', 'Cw_udaq1408.par';
end_driver;

data

  channel
    k0 : real {driver = udaq; driver_index = 0; direction = input};
    k1 : real {driver = udaq; driver_index = 1; direction = input};
    k2 : real {driver = udaq; driver_index = 2; direction = input};
    k3 : real {driver = udaq; driver_index = 3; direction = input};
    k4 : real {driver = udaq; driver_index = 4; direction = input};
    k5 : real {driver = udaq; driver_index = 5; direction = input};
    k6 : real {driver = udaq; driver_index = 6; direction = input};
    k7 : real {driver = udaq; driver_index = 7; direction = input};
    k50 : boolean {driver = udaq; driver_index = 50; direction = input};
    k51 : boolean {driver = udaq; driver_index = 51; direction = input};
    k58 : longcard {driver = udaq; driver_index = 58; direction = input};
    k70 : boolean {driver = udaq; driver_index = 70; direction = output};
    k78 : longcard {driver = udaq; driver_index = 78; direction = output};
    k80 : longcard {driver = udaq; driver_index = 80; direction = input};
    k81 : longcard {driver = udaq; driver_index = 81; direction = input};
    k82 : longcard {driver = udaq; driver_index = 82; direction = output};
    k83 : longcard {driver = udaq; driver_index = 83; direction = output};
    k97 : boolean {driver = udaq; driver_index = 97; direction = input};
    k98 : longcard {driver = udaq; driver_index = 98; direction = input};
    k99 : string {driver = udaq; driver_index = 99; direction = input};
    k100 : longcard {driver = udaq; driver_index = 100; direction = output};
    k101 : longcard {driver = udaq; driver_index = 101; direction = output};
    k102 : longcard {driver = udaq; driver_index = 102; direction = output};
    k103 : longcard {driver = udaq; driver_index = 103; direction = output};
    k104 : longcard {driver = udaq; driver_index = 104; direction = output};
    k105 : longcard {driver = udaq; driver_index = 105; direction = output};
    k106 : longcard {driver = udaq; driver_index = 106; direction = output};
    k107 : longcard {driver = udaq; driver_index = 107; direction = output};
  end_channel;

  var
    Citac : longcard {send_same_data = on};
  end_var;

end_data;

instrument

  panel backpane;
    rem = 'hlavn panel aplikace';
    owner = background;
    position = 3, 21, 1274, 970;
    window = normal;
    win_title = 'Udaq1408';
    win_disable = zoom;
    visibility = false;
    
    procedure OnStartup();
    begin
      NewRect( WorkX, WorkY, WorkW, WorkD );
      Show();
      Select();
    end_procedure;
    
  end_panel;

  control control_11;
    owner = backpane;
    position = 692, 384, 120, 25;
    send_same_data = on;
    output = k83;
    mode = edit_box;
    range_to = 65535;
    dec_places = 0;
    font = 'Arial (Central European)', 12, bold;
  end_control;

  control control_11;
    owner = backpane;
    position = 567, 384, 120, 25;
    send_same_data = on;
    output = k82;
    mode = edit_box;
    range_to = 65535;
    dec_places = 0;
    font = 'Arial (Central European)', 12, bold;
  end_control;

  label label_2;
    owner = backpane;
    position = 692, 364;
    win_disable = zoom, maximize;
    text_list
      font = 'Arial (Central European)', 12, bold;
      text = 'CNT1 (k83)';
    end_text_list;
  end_label;

  label label_2;
    owner = backpane;
    position = 567, 364;
    win_disable = zoom, maximize;
    text_list
      font = 'Arial (Central European)', 12, bold;
      text = 'CNT0 (k82)';
    end_text_list;
  end_label;

  meter meter_3;
    timer = 0.5;
    owner = backpane;
    position = 692, 314, 120, 25;
    expression = k81;
    mode = text_display;
    range_to = 65535;
    low_limit = 0;
    high_limit = 65535;
    dec_places = 0;
    font = 'Arial (Central European)', 16, bold;
    colors
      ink = lyellow;
      paper = yellow;
      value = yellow;
      low_limit = yellow;
      high_limit = yellow;
    end_colors;
  end_meter;

  meter meter_3;
    timer = 0.5;
    owner = backpane;
    position = 567, 314, 120, 25;
    expression = k80;
    mode = text_display;
    range_to = 65535;
    low_limit = 0;
    high_limit = 65535;
    dec_places = 0;
    font = 'Arial (Central European)', 16, bold;
    colors
      ink = lyellow;
      paper = yellow;
      value = yellow;
      low_limit = yellow;
      high_limit = yellow;
    end_colors;
  end_meter;

  label label_2;
    owner = backpane;
    position = 692, 294;
    win_disable = zoom, maximize;
    text_list
      font = 'Arial (Central European)', 12, bold;
      text = 'CNT1 (k81)';
    end_text_list;
  end_label;

  label label_2;
    owner = backpane;
    position = 567, 294;
    win_disable = zoom, maximize;
    text_list
      font = 'Arial (Central European)', 12, bold;
      text = 'CNT0 (k80)';
    end_text_list;
  end_label;

  string_display string_display_12;
    timer = 0.5;
    owner = backpane;
    position = 147, 554, 665, 25;
    expression = k99;
    font = 'Arial (Central European)', 12, bold;
    justify = left;
  end_string_display;

  meter meter_3;
    timer = 0.5;
    owner = backpane;
    position = 147, 524, 55, 25;
    expression = k98;
    mode = text_display;
    range_to = 255;
    low_limit = 0;
    high_limit = 255;
    dec_places = 0;
    font = 'Arial (Central European)', 16, bold;
    colors
      ink = lyellow;
      paper = yellow;
      value = yellow;
      low_limit = yellow;
      high_limit = yellow;
    end_colors;
  end_meter;

  indicator indicator_9;
    timer = 0.5;
    owner = backpane;
    position = 167, 499;
    win_disable = zoom, maximize;
    expression = k97;
    true_icon = 'led16ron.ico';
    false_icon = 'led16gon.ico';
  end_indicator;

  label label_2;
    owner = backpane;
    position = 67, 559;
    win_disable = zoom, maximize;
    text_list
      font = 'Arial (Central European)', 12, bold;
      text = '(k99)';
    end_text_list;
  end_label;

  label label_2;
    owner = backpane;
    position = 67, 529;
    win_disable = zoom, maximize;
    text_list
      font = 'Arial (Central European)', 12, bold;
      text = '(k98)';
    end_text_list;
  end_label;

  label label_2;
    owner = backpane;
    position = 67, 499;
    win_disable = zoom, maximize;
    text_list
      font = 'Arial (Central European)', 12, bold;
      text = '(k97)';
    end_text_list;
  end_label;

  label label_2;
    owner = backpane;
    position = 67, 474;
    win_disable = zoom, maximize;
    text_list
      font = 'Arial (Central European)', 12, bold;
      text = 'Status';
    end_text_list;
  end_label;

  control control_11;
    owner = backpane;
    position = 317, 314, 120, 25;
    send_same_data = on;
    output = k78;
    mode = edit_box;
    range_to = 1;
    dec_places = 0;
    font = 'Arial (Central European)', 12, bold;
  end_control;

  switch switch_10;
    owner = backpane;
    position = 422, 364, 21, 21;
    win_disable = zoom, maximize;
    send_same_data = on;
    output = k70;
    true_icon = 'led16yon.ico';
    false_icon = 'led16yof.ico';
  end_switch;

  label label_2;
    owner = backpane;
    position = 317, 364;
    win_disable = zoom, maximize;
    text_list
      font = 'Arial (Central European)', 12, bold;
      text = 'DOUT0 (k70)';
    end_text_list;
  end_label;

  label label_2;
    owner = backpane;
    position = 317, 294;
    win_disable = zoom, maximize;
    text_list
      font = 'Arial (Central European)', 12, bold;
      text = 'DOUT (k78)';
    end_text_list;
  end_label;

  indicator indicator_9;
    timer = 0.5;
    owner = backpane;
    position = 167, 394;
    win_disable = zoom, maximize;
    expression = k51;
    true_icon = 'led16yon.ico';
    false_icon = 'led16yof.ico';
  end_indicator;

  indicator indicator_9;
    timer = 0.5;
    owner = backpane;
    position = 167, 364;
    win_disable = zoom, maximize;
    expression = k50;
    true_icon = 'led16yon.ico';
    false_icon = 'led16yof.ico';
  end_indicator;

  label label_2;
    owner = backpane;
    position = 67, 394;
    win_disable = zoom, maximize;
    text_list
      font = 'Arial (Central European)', 12, bold;
      text = 'DIN1 (k51)';
    end_text_list;
  end_label;

  label label_2;
    owner = backpane;
    position = 67, 364;
    win_disable = zoom, maximize;
    text_list
      font = 'Arial (Central European)', 12, bold;
      text = 'DIN0 (k50)';
    end_text_list;
  end_label;

  meter meter_3;
    timer = 0.5;
    owner = backpane;
    position = 67, 314, 120, 25;
    expression = k58;
    mode = text_display;
    range_to = 255;
    low_limit = 0;
    high_limit = 255;
    dec_places = 0;
    font = 'Arial (Central European)', 16, bold;
    colors
      ink = lyellow;
      paper = yellow;
      value = yellow;
      low_limit = yellow;
      high_limit = yellow;
    end_colors;
  end_meter;

  label label_2;
    owner = backpane;
    position = 67, 294;
    win_disable = zoom, maximize;
    text_list
      font = 'Arial (Central European)', 12, bold;
      text = 'DIN (k58)';
    end_text_list;
  end_label;

  string_switch string_switch_5;
    var
      Index7 : longcard;
    end_var;

    owner = backpane;
    position = 942, 194, 120, 25;
    send_same_data = on;
    index_output = Index7;
    font = 'Arial (Central European)', 12, bold;
    item
      text = '+/- 10V';
    end_item;
    item
      text = '+/- 5V';
    end_item;
    item
      text = '+/- 2V';
    end_item;
    item
      text = '+/- 1V';
    end_item;
    item
      text = '+/- 500mV';
    end_item;
    item
      text = '+/- 200mV';
    end_item;
    
    procedure OnStartup();
    begin
      DisableEditable();
    end_procedure;
    
    procedure OnOutput( Output : string );
    begin
      k107 = Index7 - 1;
    end_procedure;
    
    procedure OnOutputChanged( Output : string );
    begin
    end_procedure;
    
  end_string_switch;

  string_switch string_switch_5;
    var
      Index6 : longcard;
    end_var;

    owner = backpane;
    position = 817, 194, 120, 25;
    send_same_data = on;
    index_output = Index6;
    font = 'Arial (Central European)', 12, bold;
    item
      text = '+/- 10V';
    end_item;
    item
      text = '+/- 5V';
    end_item;
    item
      text = '+/- 2V';
    end_item;
    item
      text = '+/- 1V';
    end_item;
    item
      text = '+/- 500mV';
    end_item;
    item
      text = '+/- 200mV';
    end_item;
    
    procedure OnStartup();
    begin
      DisableEditable();
    end_procedure;
    
    procedure OnOutput( Output : string );
    begin
      k106 = Index6 - 1;
    end_procedure;
    
    procedure OnOutputChanged( Output : string );
    begin
    end_procedure;
    
  end_string_switch;

  string_switch string_switch_5;
    var
      Index5 : longcard;
    end_var;

    owner = backpane;
    position = 692, 194, 120, 25;
    send_same_data = on;
    index_output = Index5;
    font = 'Arial (Central European)', 12, bold;
    item
      text = '+/- 10V';
    end_item;
    item
      text = '+/- 5V';
    end_item;
    item
      text = '+/- 2V';
    end_item;
    item
      text = '+/- 1V';
    end_item;
    item
      text = '+/- 500mV';
    end_item;
    item
      text = '+/- 200mV';
    end_item;
    
    procedure OnStartup();
    begin
      DisableEditable();
    end_procedure;
    
    procedure OnOutput( Output : string );
    begin
      k105 = Index5 - 1;
    end_procedure;
    
    procedure OnOutputChanged( Output : string );
    begin
    end_procedure;
    
  end_string_switch;

  string_switch string_switch_5;
    var
      Index4 : longcard;
    end_var;

    owner = backpane;
    position = 567, 194, 120, 25;
    send_same_data = on;
    index_output = Index4;
    font = 'Arial (Central European)', 12, bold;
    item
      text = '+/- 10V';
    end_item;
    item
      text = '+/- 5V';
    end_item;
    item
      text = '+/- 2V';
    end_item;
    item
      text = '+/- 1V';
    end_item;
    item
      text = '+/- 500mV';
    end_item;
    item
      text = '+/- 200mV';
    end_item;
    
    procedure OnStartup();
    begin
      DisableEditable();
    end_procedure;
    
    procedure OnOutput( Output : string );
    begin
      k104 = Index4 - 1;
    end_procedure;
    
    procedure OnOutputChanged( Output : string );
    begin
    end_procedure;
    
  end_string_switch;

  string_switch string_switch_5;
    var
      Index3 : longcard;
    end_var;

    owner = backpane;
    position = 442, 194, 120, 25;
    send_same_data = on;
    index_output = Index3;
    font = 'Arial (Central European)', 12, bold;
    item
      text = '+/- 10V';
    end_item;
    item
      text = '+/- 5V';
    end_item;
    item
      text = '+/- 2V';
    end_item;
    item
      text = '+/- 1V';
    end_item;
    item
      text = '+/- 500mV';
    end_item;
    item
      text = '+/- 200mV';
    end_item;
    
    procedure OnStartup();
    begin
      DisableEditable();
    end_procedure;
    
    procedure OnOutput( Output : string );
    begin
      k103 = Index3 - 1;
    end_procedure;
    
    procedure OnOutputChanged( Output : string );
    begin
    end_procedure;
    
  end_string_switch;

  string_switch string_switch_5;
    var
      Index2 : longcard;
    end_var;

    owner = backpane;
    position = 317, 194, 120, 25;
    send_same_data = on;
    index_output = Index2;
    font = 'Arial (Central European)', 12, bold;
    item
      text = '+/- 10V';
    end_item;
    item
      text = '+/- 5V';
    end_item;
    item
      text = '+/- 2V';
    end_item;
    item
      text = '+/- 1V';
    end_item;
    item
      text = '+/- 500mV';
    end_item;
    item
      text = '+/- 200mV';
    end_item;
    
    procedure OnStartup();
    begin
      DisableEditable();
    end_procedure;
    
    procedure OnOutput( Output : string );
    begin
      k102 = Index2 - 1;
    end_procedure;
    
    procedure OnOutputChanged( Output : string );
    begin
    end_procedure;
    
  end_string_switch;

  string_switch string_switch_5;
    var
      Index1 : longcard;
    end_var;

    owner = backpane;
    position = 192, 194, 120, 25;
    send_same_data = on;
    index_output = Index1;
    font = 'Arial (Central European)', 12, bold;
    item
      text = '+/- 10V';
    end_item;
    item
      text = '+/- 5V';
    end_item;
    item
      text = '+/- 2V';
    end_item;
    item
      text = '+/- 1V';
    end_item;
    item
      text = '+/- 500mV';
    end_item;
    item
      text = '+/- 200mV';
    end_item;
    
    procedure OnStartup();
    begin
      DisableEditable();
    end_procedure;
    
    procedure OnOutput( Output : string );
    begin
      k101 = Index1 - 1;
    end_procedure;
    
    procedure OnOutputChanged( Output : string );
    begin
    end_procedure;
    
  end_string_switch;

  label label_2;
    owner = backpane;
    position = 942, 174;
    win_disable = zoom, maximize;
    text_list
      font = 'Arial (Central European)', 12, bold;
      text = 'Rozsah (k107)';
    end_text_list;
  end_label;

  label label_2;
    owner = backpane;
    position = 817, 174;
    win_disable = zoom, maximize;
    text_list
      font = 'Arial (Central European)', 12, bold;
      text = 'Rozsah (k106)';
    end_text_list;
  end_label;

  label label_2;
    owner = backpane;
    position = 692, 174;
    win_disable = zoom, maximize;
    text_list
      font = 'Arial (Central European)', 12, bold;
      text = 'Rozsah (k105)';
    end_text_list;
  end_label;

  label label_2;
    owner = backpane;
    position = 567, 174;
    win_disable = zoom, maximize;
    text_list
      font = 'Arial (Central European)', 12, bold;
      text = 'Rozsah (k104)';
    end_text_list;
  end_label;

  label label_2;
    owner = backpane;
    position = 442, 174;
    win_disable = zoom, maximize;
    text_list
      font = 'Arial (Central European)', 12, bold;
      text = 'Rozsah (k103)';
    end_text_list;
  end_label;

  label label_2;
    owner = backpane;
    position = 317, 174;
    win_disable = zoom, maximize;
    text_list
      font = 'Arial (Central European)', 12, bold;
      text = 'Rozsah (k102)';
    end_text_list;
  end_label;

  label label_2;
    owner = backpane;
    position = 192, 174;
    win_disable = zoom, maximize;
    text_list
      font = 'Arial (Central European)', 12, bold;
      text = 'Rozsah (k101)';
    end_text_list;
  end_label;

  label label_2;
    owner = backpane;
    position = 942, 99;
    win_disable = zoom, maximize;
    text_list
      font = 'Arial (Central European)', 12, bold;
      text = 'AIN7 (k7)';
    end_text_list;
  end_label;

  label label_2;
    owner = backpane;
    position = 817, 99;
    win_disable = zoom, maximize;
    text_list
      font = 'Arial (Central European)', 12, bold;
      text = 'AIN6 (k6)';
    end_text_list;
  end_label;

  label label_2;
    owner = backpane;
    position = 692, 99;
    win_disable = zoom, maximize;
    text_list
      font = 'Arial (Central European)', 12, bold;
      text = 'AIN5 (k5)';
    end_text_list;
  end_label;

  label label_2;
    owner = backpane;
    position = 567, 99;
    win_disable = zoom, maximize;
    text_list
      font = 'Arial (Central European)', 12, bold;
      text = 'AIN4 (k4)';
    end_text_list;
  end_label;

  label label_2;
    owner = backpane;
    position = 442, 99;
    win_disable = zoom, maximize;
    text_list
      font = 'Arial (Central European)', 12, bold;
      text = 'AIN3 (k3)';
    end_text_list;
  end_label;

  label label_2;
    owner = backpane;
    position = 317, 99;
    win_disable = zoom, maximize;
    text_list
      font = 'Arial (Central European)', 12, bold;
      text = 'AIN2 (k2)';
    end_text_list;
  end_label;

  label label_2;
    owner = backpane;
    position = 192, 99;
    win_disable = zoom, maximize;
    text_list
      font = 'Arial (Central European)', 12, bold;
      text = 'AIN1 (k1)';
    end_text_list;
  end_label;

  meter meter_3;
    timer = 0.5;
    owner = backpane;
    position = 942, 119, 120, 25;
    expression = k7;
    mode = text_display;
    range_from = -10;
    range_to = 10;
    low_limit = -10;
    high_limit = 10;
    dec_places = 4;
    font = 'Arial (Central European)', 16, bold;
    colors
      ink = lyellow;
      paper = yellow;
      value = yellow;
      low_limit = yellow;
      high_limit = yellow;
    end_colors;
  end_meter;

  meter meter_3;
    timer = 0.5;
    owner = backpane;
    position = 817, 119, 120, 25;
    expression = k6;
    mode = text_display;
    range_from = -10;
    range_to = 10;
    low_limit = -10;
    high_limit = 10;
    dec_places = 4;
    font = 'Arial (Central European)', 16, bold;
    colors
      ink = lyellow;
      paper = yellow;
      value = yellow;
      low_limit = yellow;
      high_limit = yellow;
    end_colors;
  end_meter;

  meter meter_3;
    timer = 0.5;
    owner = backpane;
    position = 692, 119, 120, 25;
    expression = k5;
    mode = text_display;
    range_from = -10;
    range_to = 10;
    low_limit = -10;
    high_limit = 10;
    dec_places = 4;
    font = 'Arial (Central European)', 16, bold;
    colors
      ink = lyellow;
      paper = yellow;
      value = yellow;
      low_limit = yellow;
      high_limit = yellow;
    end_colors;
  end_meter;

  meter meter_3;
    timer = 0.5;
    owner = backpane;
    position = 567, 119, 120, 25;
    expression = k4;
    mode = text_display;
    range_from = -10;
    range_to = 10;
    low_limit = -10;
    high_limit = 10;
    dec_places = 4;
    font = 'Arial (Central European)', 16, bold;
    colors
      ink = lyellow;
      paper = yellow;
      value = yellow;
      low_limit = yellow;
      high_limit = yellow;
    end_colors;
  end_meter;

  meter meter_3;
    timer = 0.5;
    owner = backpane;
    position = 442, 119, 120, 25;
    expression = k3;
    mode = text_display;
    range_from = -10;
    range_to = 10;
    low_limit = -10;
    high_limit = 10;
    dec_places = 4;
    font = 'Arial (Central European)', 16, bold;
    colors
      ink = lyellow;
      paper = yellow;
      value = yellow;
      low_limit = yellow;
      high_limit = yellow;
    end_colors;
  end_meter;

  meter meter_3;
    timer = 0.5;
    owner = backpane;
    position = 317, 119, 120, 25;
    expression = k2;
    mode = text_display;
    range_from = -10;
    range_to = 10;
    low_limit = -10;
    high_limit = 10;
    dec_places = 4;
    font = 'Arial (Central European)', 16, bold;
    colors
      ink = lyellow;
      paper = yellow;
      value = yellow;
      low_limit = yellow;
      high_limit = yellow;
    end_colors;
  end_meter;

  meter meter_3;
    timer = 0.5;
    owner = backpane;
    position = 192, 119, 120, 25;
    expression = k1;
    mode = text_display;
    range_from = -10;
    range_to = 10;
    low_limit = -10;
    high_limit = 10;
    dec_places = 4;
    font = 'Arial (Central European)', 16, bold;
    colors
      ink = lyellow;
      paper = yellow;
      value = yellow;
      low_limit = yellow;
      high_limit = yellow;
    end_colors;
  end_meter;

  string_switch string_switch_5;
    var
      Index0 : longcard;
    end_var;

    owner = backpane;
    position = 67, 194, 120, 25;
    send_same_data = on;
    index_output = Index0;
    font = 'Arial (Central European)', 12, bold;
    item
      text = '+/- 10V';
    end_item;
    item
      text = '+/- 5V';
    end_item;
    item
      text = '+/- 2V';
    end_item;
    item
      text = '+/- 1V';
    end_item;
    item
      text = '+/- 500mV';
    end_item;
    item
      text = '+/- 200mV';
    end_item;
    
    procedure OnActivate();
    begin
    end_procedure;
    
    procedure OnStartup();
    begin
      DisableEditable();
    end_procedure;
    
    procedure OnOutput( Output : string );
    begin
      k100 = Index0 - 1;
    end_procedure;
    
    procedure OnOutputChanged( Output : string );
    begin
    end_procedure;
    
  end_string_switch;

  label label_2;
    owner = backpane;
    position = 67, 174;
    win_disable = zoom, maximize;
    text_list
      font = 'Arial (Central European)', 12, bold;
      text = 'Rozsah (k100)';
    end_text_list;
  end_label;

  meter meter_3;
    timer = 0.5;
    owner = backpane;
    position = 67, 119, 120, 25;
    expression = k0;
    mode = text_display;
    range_from = -10;
    range_to = 10;
    low_limit = -10;
    high_limit = 10;
    dec_places = 4;
    font = 'Arial (Central European)', 16, bold;
    colors
      ink = lyellow;
      paper = yellow;
      value = yellow;
      low_limit = yellow;
      high_limit = yellow;
    end_colors;
  end_meter;

  label label_2;
    owner = backpane;
    position = 67, 99;
    win_disable = zoom, maximize;
    text_list
      font = 'Arial (Central European)', 12, bold;
      text = 'AIN0 (k0)';
    end_text_list;
  end_label;

  label label_1;
    owner = backpane;
    position = 477, 29;
    win_disable = zoom, maximize;
    text_list
      font = 'Arial (Central European)', 24, bold;
      text = 'UDAQ-1408';
    end_text_list;
    colors
      ink = lred;
    end_colors;
  end_label;

end_instrument;

